Subject: Re: [rtcweb] draft-ietf-rtcweb-ip-handling: Mode 2 and VPN scenarios

From: Justin Uberti <[email-masked]>
Date: Sun, 11 Feb 2018 11:24:53 -0800

This has been rolled into the most recent version of the document,
https://tools.ietf.org/html/draft-ietf-rtcweb-ip-handling-05#section-6.

On Fri, Nov 10, 2017 at 7:36 AM, James Pearce <[email-masked]> wrote:

> Hi All,
>
> Apologies for resurrecting this topic from August. Has anything been
> decided regarding this? Has it been rolled into other changes, or is it
> still being considered?
>
> Many thanks,
>
> James
>
> On 1 September 2017 at 14:57, Cullen Jennings <[email-masked]> wrote:
>
>>
>> > On Aug 23, 2017, at 3:06 PM, James Pearce <[email-masked]> wrote:
>> >
>> >
>> > The obvious solution seems to be to change the behaviour of mode 2.
>> Rather than using the default route in all cases, we should use the route
>> that was used to fetch the origin. This seems to resolve both the usability
>> and privacy concerns without reducing existing security.
>>
>> I agree this is a significant problem and your proposal does seems like a
>> better solution that the current text. We should get people to think about
>> the implications of that change.
>>
>>
>>
>
> _______________________________________________
> rtcweb mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/rtcweb
>
>